/*
 * and4.h
 *
 *  Created on: 15-02-2017
 *      Author: Krzysztof Jakubczyk
 */

#ifndef AND4_H_
#define AND4_H_

#include "tdefs.h"

struct and4_logic
{
	u8 *in[4];
	u8 in_bit_mask[4];

	u8 *out;
	u8 out_bit_mask;
};

struct and4_io
{
	u32 in1_in;
	u32 in2_in;
	u32 in3_in;
	u32 in4_in;
	u32 out_out;
}__attribute__((__packed__));

struct and4_params
{
}__attribute__((__packed__));

struct and4_args
{
	struct and4_io io;
	struct and4_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void and4(void *args, void *logic);
extern int and4_initlog(void *arguments, void *logic);

#endif /* AND4_H_ */
